Unit tzp18e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP18E_p;

function tzp18e: String;

implementation

function tzp18e: String;
var
NP,NP1,_i,NB,NR,NA,IERR :Integer;
XN,XK :Extended;
RAB :Array [0..35] of Extended;
const
A :Array [0..4] of Extended = ( 24.0e0,-50.0e0,35.0e0,-10.0e0,1.0e0 );
begin
for _i:=0 to 35 do
 RAB[_i] := 0.0;  //  
Result := '';  {   }
NP := 4;
NP1 := 5;
XN  := 1.5;
XK  := 3.5;
ZP18E(NP,A,XN,XK,NB,NR,NA,RAB,NP1,IERR);
Result := Result + Format('%10d ',[NP]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f %20.16f %10d %10d %10d ',
 [XN,XK,NB,NR,NA]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 35 do
 begin
  Result := Result + Format('%20.16f ',[RAB[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%10d ',[NP1]) + #$0D#$0A;
UtRes('tzp18e',Result);  {     tzp18e.res }
exit;
end;

end.
